Subject: Re: [Mipshop] A New BoF [16ng BoF: IPv6 over IEEE 802.16(e) Networks]

From: Jeff Mandin <[email-masked]>
Date: Tue, 27 Sep 2005 18:52:04 +0200

Daniel,

It's good to see this work moving forward.  However, the problem
statement and characterization of the 802.16 MAC that appears in the
charter is not correct:

 * 802.16 is in fact capable of native multicasting in the downlink
(see for example 802.16e section 11.9.35)

 * 802.16 has a built-in "802.3 Convergence Sublayer" which enables
the point-to-multipoint network to emulate a large LAN (with the
option of broadcast filtering).  This faciliitates IPv6 operation
(including ND), but has the (possible) cost of some extra bytes of
overhead.

Below is an amended third paragraph:

" IEEE 802.16(e) is different from existing wireless access
technologies such as IEEE 802.11 or 3G.  Accordingly, while 802.16
defines the encapsulation of an IP datagram in an IEEE 802.16 MAC
payload, complete description of IP operation is not present and can
benefit from IETF input and specification.

For example: immediately subsequent to network entry an 802.16
subscriber station has no capability whatsoever for data (as opposed
to management) connectivity.  The criteria by which the Base Station
(or other headend elements) set up the 802.16 MAC connections for data
transport is not part of the 802.16 standard and depends on the type
of data services being offered (ie. the set up of transport
connections will be different for IPv4 and IPv6 services).
Additionally - as 802.16 is a point-to-multipoint network - an 802.16
subscriber station is not capable of broadcasting (eg. for neighbor
discovery) or direct communication to the other nodes in the network.
While the built-in LAN emulation feature of 802.16 ("802.3 Convergence
Sublayer") rectifies this, it may involve additional packet overhead.
As for fast mobility, the characteristics of IEEE 802.16e link-layer
operation may require an amendment to the Fast Handover Mobile IPv6
scheme (RFC 4068), something which may be pursued in the MIPSHOP WG."

Regards,

- Jeff Mandin

> Folks,
>
> We would like to announce a BoF at the upcoming IETF, leading to 
> identify what limitations and considerations apply to IPv6 adoption 
> over IEEE 802.16(e), and to propose available solutions. A mailing 
> list is set up at [email-masked] 
> <mailto:[email-masked]> and a proposed description is below.
>
> ==============================
> ============
>
> IPv6 over IEEE 802.16(e) Networks BoF (16ng)
>
>
> CHAIRS:
>
> Soohong Daniel Park<[email-masked] 
> <mailto:[email-masked]>>
> Gabriel Montenegro<[email-masked] 
> <mailto:[email-masked]>>
>
>
> DESCRIPTION:
>
> Broadband Wireless Access Network addresses the inadequacies of low 
> bandwidth wireless communication for user requirements such as high 
> quality data/voice service, fast mobility, wide coverage, etc. The 
> IEEE 802.16 Working Group on Broadband Wireless Access Standards 
> develops standards and recommended practices to support the 
> development and deployment of broadband Wireless Metropolitan Area 
> Networks. In addition, IEEE 802.16e supports mobility over IEEE 802.16 
> as an amendment to the IEEE 802.16 specification.
>
> Recently, much work is in progress by the WiMAX Forum. In particular, 
> its NWG (Network Working Group) is responsible for the IEEE 802.16(e) 
> network architecture (e.g., IPv4, IPv6, Mobility, Interworking with 
> different networks, AAA, etc). The NWG is thus taking on work at 
> layers above those defined by the IEEE 802 standards (typically 
> limited to the physical and link layers only). Similarly, WiBro 
> (Wireless Broadband) is a Korean effort based on the IEEE 802.16e 
> specification which focuses on the 2.3 GHz spectrum band.
>
> IEEE 802.16(e) is different from existing wireless access technologies 
> such as  IEEE 802.11 or 3G. Accordingly, the use of IP over an IEEE 
> 802.16(e) link is currently undefined, and will benefit from IETF 
> input and specification. For example, even though Neighbor Discovery 
> has been specified to work over point-to-point type links (e.g., as 
> available in 3G), it applies most naturally to link technologies 
> capable of native multicasing. Thus, it is not yet clear how it would 
> work over IEEE 802.16(e) networks. Even though these supports a PMP 
> (Point-to-Multipoint) mode, there is no provision for multicasting IP 
> packets, hindering the basic standard IPv6 operation. An IEEE 
> 802.16(e) connection for IP packet transfer is a point-to-point 
> unidirectional mapping between medium access control layers at the 
> ubscriber station and the base station. This eventually requires 
> convergence protocols to emulate the desired service on network 
> entities such as base stations, which may limit IPv6 features. As for 
> fast mobility, the characteristics of IEEE 802.16e link-layer 
> operation may require an amendment to the Fast Handover Mobile IPv6 
> scheme (RFC 4068), something which may be pursued in the MIPSHOP WG.
>
> The principal objective of the 16ng BoF is to identify what 
> limitations and considerations apply to IPv6 adoption over IEEE 
> 802.16(e), and to propose available solutions. The working group may 
> issue recommendations to IEEE 802.16(e) suggesting protocol 
> modifications for better IP support.
>
> In 2006, WiBro deployment will begin, and the WiMAX Forum is slated to 
> specify IPv6 operation over IEEE 802.16(e) in 2006. Accordingly, the 
> working group will work and coordinate with the WiMAX Forum and with 
> the WiBro efforts.
>
>
> MAILING LIST:
>
> General Discussion: [email-masked] 
> <mailto:[email-masked]>
> To Subscribe: http://eeca16.sogang.ac.kr/mailman/listinfo/16ng 
> <http://eeca16.sogang.ac.kr/mailman/listinfo/16ng>
> Archive: http://eeca16.sogang.ac.kr/pipermail/16ng 
> <http://eeca16.sogang.ac.kr/pipermail/16ng>
>
>
> REFERENCES:
>
> http://www.ietf.org/internet-drafts/draft-jang-mipshop-fh80216e-00.txt 
> <http://www.ietf.org/internet-drafts/draft-jang-mipshop-fh80216e-00.txt>
> http://www.watersprings.org/pub/id/draft-jin-ipv6-over-ieee802.16-00.txt 
> <http://www.watersprings.org/pub/id/draft-jin-ipv6-over-ieee802.16-00.txt>
> http://www.ietf.org/internet-drafts/draft-jee-mip4-fh80216e-00.txt 
> <http://www.ietf.org/internet-drafts/draft-jee-mip4-fh80216e-00.txt>
> IPv6 over IEEE 802.16(e) Networks Problem Statements (coming soon)
>
>
> Regards,
>
> Gabriel & Daniel
> 16ng BoF co-chairs

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: "James Kempf" <[email-masked]>
Date: Tue, 27 Sep 2005 10:56:45 -0700

So what are the problems with using RFC 2491 ("IPv6 over Non-Broadcast Multiple Access (NBMA) networks") for 802.16? If I remember correctly, the solution there was to define the multicast addresses from RFC 2461 as unicast addresses to the "router". Something similar could be used for 802.16, with the BS being the target. Or am I missing something?

             jak

----- Original Message ----- 
From: Jeff Mandin 
To: [email-masked] ; [email-masked] ; [email-masked] ; [email-masked] 
Sent: Tuesday, September 27, 2005 9:52 AM
Subject: Re: [Mipshop] A New BoF [16ng BoF: IPv6 over IEEE 802.16(e) Networks]

Daniel,

Regards,

- Jeff Mandin

Folks,

We would like to announce a BoF at the upcoming IETF, leading to identify what limitations and considerations apply to IPv6 adoption over IEEE 802.16(e), and to propose available solutions. A mailing list is set up at [email-masked] and a proposed description is below.

CHAIRS:

Soohong Daniel Park<[email-masked]>
Gabriel Montenegro<[email-masked]>

DESCRIPTION:

Broadband Wireless Access Network addresses the inadequacies of low bandwidth wireless communication for user requirements such as high quality data/voice service, fast mobility, wide coverage, etc. The IEEE 802.16 Working Group on Broadband Wireless Access Standards develops standards and recommended practices to support the development and deployment of broadband Wireless Metropolitan Area Networks. In addition, IEEE 802.16e supports mobility over IEEE 802.16 as an amendment to the IEEE 802.16 specification.

Recently, much work is in progress by the WiMAX Forum. In particular, its NWG (Network Working Group) is responsible for the IEEE 802.16(e) network architecture (e.g., IPv4, IPv6, Mobility, Interworking with different networks, AAA, etc). The NWG is thus taking on work at layers above those defined by the IEEE 802 standards (typically limited to the physical and link layers only). Similarly, WiBro (Wireless Broadband) is a Korean effort based on the IEEE 802.16e specification which focuses on the 2.3 GHz spectrum band.

IEEE 802.16(e) is different from existing wireless access technologies such as  IEEE 802.11 or 3G. Accordingly, the use of IP over an IEEE 802.16(e) link is currently undefined, and will benefit from IETF input and specification. For example, even though Neighbor Discovery has been specified to work over point-to-point type links (e.g., as available in 3G), it applies most naturally to link technologies capable of native multicasing. Thus, it is not yet clear how it would work over IEEE 802.16(e) networks. Even though these supports a PMP (Point-to-Multipoint) mode, there is no provision for multicasting IP packets, hindering the basic standard IPv6 operation. An IEEE 802.16(e) connection for IP packet transfer is a point-to-point unidirectional mapping between medium access control layers at the ubscriber station and the base station. This eventually requires convergence protocols to emulate the desired service on network entities such as base stations, which may limit IPv6 features. As for fast mobility, the characteristics of IEEE 802.16e link-layer operation may require an amendment to the Fast Handover Mobile IPv6 scheme (RFC 4068), something which may be pursued in the MIPSHOP WG.

The principal objective of the 16ng BoF is to identify what limitations and considerations apply to IPv6 adoption over IEEE 802.16(e), and to propose available solutions. The working group may issue recommendations to IEEE 802.16(e) suggesting protocol modifications for better IP support.

In 2006, WiBro deployment will begin, and the WiMAX Forum is slated to specify IPv6 operation over IEEE 802.16(e) in 2006. Accordingly, the working group will work and coordinate with the WiMAX Forum and with the WiBro efforts.

MAILING LIST:

REFERENCES:

Regards,

Gabriel & Daniel
16ng BoF co-chairs

---

From: gabriel montenegro <[email-masked]>
Date: Tue, 27 Sep 2005 12:50:34 -0700 (PDT)

Thanks Jeff for the text suggestions.

-gabriel

---

From: gabriel montenegro <[email-masked]>
Date: Tue, 27 Sep 2005 13:12:16 -0700 (PDT)

--- James Kempf <[email-masked]> wrote:
> So what are the problems with using RFC 2491 ("IPv6 over Non-Broadcast Multiple Access
> (NBMA) networks") for 802.16? If I remember correctly, the solution there was to define
> the multicast addresses from RFC 2461 as unicast addresses to the "router". Something
> similar could be used for 802.16, with the BS being the target. Or am I missing
> something?

I don't think you're missing anything, and NBMA has been mentioned as one possible way of
doing
things (and if this path is taken, perhaps something similar to RFC 2492 to specify how
NBMA
would work with 802.16 might be enough). 

Others have mentioned the 802.3 convergence sublayer, which reminds me of ATM LAN
emulation
(others can confirm how analogous these are).  

With ATM, there were several ways of doing things, of encapsulating IP 
packets, etc. This seems to be true with 802.16 as well. The proposed BoF, I think, can
help
decide which of the several ways (hopefully only one?) makes sense to standardize.

-gabriel